<?php
class BusinessLogicFactory
{

	public static function getInstance()
	{
		return new BusinessLogicFactory();
	}

	public function createRule($ruleId)
	{
		switch ($ruleId)
		{
			case 1:
				return ProfileSessionLoader::getInstance();
			case 2:
				return ProfileSessionSaver::getInstance();
			case 3:
				return LoadDefaultPageInformation::getInstance();
		}
	}
}